<?php


namespace App\ViewModels\Consulta\ConsultaDetailsViewModel;


use App\Utils\Entity;

class OpcaoDetailsConsulta extends Entity
{
    protected $id;
    protected $descricao;

    public static function builder(): OpcaoDetailsConsultaBuilder
    {
        return new OpcaoDetailsConsultaBuilder;
    }

    /**
     * @return int
     */
    public function getId(): int
    {
        return $this->id;
    }

    /**
     * @return string
     */
    public function getDescricao(): string
    {
        return $this->descricao;
    }

    /**
     * @param int $id
     */
    public function setId(int $id): void
    {
        $this->id = $id;
    }

    /**
     * @param string $descricao
     */
    public function setDescricao(string $descricao): void
    {
        $this->descricao = $descricao;
    }
}